Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.texteditor
Interface IAbstractTextEditorHelpContextIds

All Known Subinterfaces:
  ITextEditorHelpContextIds

public interface IAbstractTextEditorHelpContextIds

Help context ids for the text editor.

This interface contains constants only; it is not intended to be implemented.

Field Summary
`static String` | `ACTION_POSTFIX` The string which is appended to action ids to construct help context ids.
`static String` | `ADD_TASK_ACTION` Deprecated. in 3.0 Use `org.eclipse.ui.texteditor.ITextEditorHelpContextIds.ADD_TASK_ACTION` instead.
`static String` | `BOOKMARK_ACTION` Deprecated. in 3.0 Use `org.eclipse.ui.texteditor.ITextEditorHelpContextIds.BOOKMARK_ACTION` instead.
`static String` | `CLEAR_MARK_ACTION` Help context id for the action.
`static String` | `CONVERT_LINE_DELIMITERS_TO_MAC` Help context id for the action.
`static String` | `CONVERT_LINE_DELIMITERS_TO_UNIX` Help context id for the action.
`static String` | `CONVERT_LINE_DELIMITERS_TO_WINDOWS` Help context id for the action.
`static String` | `COPY_ACTION` Help context id for the action.
`static String` | `COPY_LINES_ACTION` Help context id for the action.
`static String` | `CUT_ACTION` Help context id for the action.
`static String` | `CUT_LINE_ACTION` Help context id for the action.
`static String` | `CUT_LINE_TO_BEGINNING_ACTION` Help context id for the action.
`static String` | `CUT_LINE_TO_END_ACTION` Help context id for the action.
`static String` | `DELETE_ACTION` Help context id for the action.
`static String` | `DELETE_LINE_ACTION` Help context id for the action.
`static String` | `DELETE_LINE_TO_BEGINNING_ACTION` Help context id for the action.
`static String` | `DELETE_LINE_TO_END_ACTION` Help context id for the action.
`static String` | `FIND_ACTION` Help context id for the action.
`static String` | `FIND_INCREMENTAL_ACTION` Help context id for the action.
`static String` | `FIND_INCREMENTAL_REVERSE_ACTION` Help context id for the action.
`static String` | `FIND_NEXT_ACTION` Help context id for the action.
`static String` | `FIND_PREVIOUS_ACTION` Help context id for the action.
`static String` | `FIND_REPLACE_DIALOG` Help context id for the action.
`static String` | `GOTO_LAST_EDIT_POSITION_ACTION` Help context id for the action.
`static String` | `GOTO_LINE_ACTION` Help context id for the action.
`static String` | `LOWER_CASE_ACTION` Help context id for the action.
`static String` | `MOVE_LINES_ACTION` Help context id for the action.
`static String` | `PASTE_ACTION` Help context id for the action.
`static String` | `PREFIX` The string with which all other defined ids are prefixed to construct help context ids.
`static String` | `PRINT_ACTION` Help context id for the action.
`static String` | `REDO_ACTION` Help context id for the action.
`static String` | `REVERT_TO_SAVED_ACTION` Help context id for the action.
`static String` | `SAVE_ACTION` Help context id for the action.
`static String` | `SELECT_ALL_ACTION` Help context id for the action.
`static String` | `SET_MARK_ACTION` Help context id for the action.
`static String` | `SHIFT_LEFT_ACTION` Help context id for the action.
`static String` | `SHIFT_RIGHT_ACTION` Help context id for the action.
`static String` | `SMART_ENTER_ACTION` Help context id for the action.
`static String` | `SWAP_MARK_ACTION` Help context id for the action.
`static String` | `TOGGLE_INSERT_MODE_ACTION` Help context id for the smart insert mode toggle action.
`static String` | `UNDO_ACTION` Help context id for the action.
`static String` | `UPPER_CASE_ACTION` Help context id for the action.

Field Detail

### PREFIX

    public static final String PREFIX

  The string with which all other defined ids are prefixed to construct help context ids. Value: `"org.eclipse.ui."`

  See Also:
    Constant Field Values

### ACTION_POSTFIX

    public static final String ACTION_POSTFIX

  The string which is appended to action ids to construct help context ids. Value: `"_action_context"`

  See Also:
    Constant Field Values

### UNDO_ACTION

    public static final String UNDO_ACTION

  Help context id for the action. Value: `"org.eclipse.ui.undo_action_context"`

### REDO_ACTION

    public static final String REDO_ACTION

  Help context id for the action. Value: `"org.eclipse.ui.redo_action_context"`

### CUT_ACTION

    public static final String CUT_ACTION

  Help context id for the action. Value: `"org.eclipse.ui.cut_action_context"`

### COPY_ACTION

    public static final String COPY_ACTION

  Help context id for the action. Value: `"org.eclipse.ui.copy_action_context"`

### PASTE_ACTION

    public static final String PASTE_ACTION

  Help context id for the action. Value: `"org.eclipse.ui.paste_action_context"`

### DELETE_ACTION

    public static final String DELETE_ACTION

  Help context id for the action. Value: `"org.eclipse.ui.delete_action_context"`

### DELETE_LINE_ACTION

    public static final String DELETE_LINE_ACTION

  Help context id for the action. Value: `"org.eclipse.ui.DeleteLine_action_context"`

  Since:
    2.0
  See Also:
    Constant Field Values

### CUT_LINE_ACTION

    public static final String CUT_LINE_ACTION

  Help context id for the action. Value: `"org.eclipse.ui.CutLine_action_context"`

  Since:
    2.1
  See Also:
    Constant Field Values

### DELETE_LINE_TO_BEGINNING_ACTION

    public static final String DELETE_LINE_TO_BEGINNING_ACTION

  Help context id for the action. Value: `"org.eclipse.ui.DeleteLineToBeginning_action_context"`

  Since:
    2.0
  See Also:
    Constant Field Values

### CUT_LINE_TO_BEGINNING_ACTION

    public static final String CUT_LINE_TO_BEGINNING_ACTION

  Help context id for the action. Value: `"org.eclipse.ui.CutLineToBeginning_action_context"`

  Since:
    2.1
  See Also:
    Constant Field Values

### DELETE_LINE_TO_END_ACTION

    public static final String DELETE_LINE_TO_END_ACTION

  Help context id for the action. Value: `"org.eclipse.ui.DeleteLineToEnd_action_context"`

  Since:
    2.0
  See Also:
    Constant Field Values

### CUT_LINE_TO_END_ACTION

    public static final String CUT_LINE_TO_END_ACTION

  Help context id for the action. Value: `"org.eclipse.ui.CutLineToEnd_action_context"`

  Since:
    2.1
  See Also:
    Constant Field Values

### SET_MARK_ACTION

    public static final String SET_MARK_ACTION

  Help context id for the action. Value: `"org.eclipse.ui.SetMark_action_context"`

  Since:
    2.0
  See Also:
    Constant Field Values

### CLEAR_MARK_ACTION

    public static final String CLEAR_MARK_ACTION

  Help context id for the action. Value: `"org.eclipse.ui.ClearMark_action_context"`

  Since:
    2.0
  See Also:
    Constant Field Values

### SWAP_MARK_ACTION

    public static final String SWAP_MARK_ACTION

  Help context id for the action. Value: `"org.eclipse.ui.SwapMark_action_context"`

  Since:
    2.0
  See Also:
    Constant Field Values

### SELECT_ALL_ACTION

    public static final String SELECT_ALL_ACTION

  Help context id for the action. Value: `"org.eclipse.ui.selectAll_action_context"`

### SHIFT_RIGHT_ACTION

    public static final String SHIFT_RIGHT_ACTION

  Help context id for the action. Value: `"org.eclipse.ui.ShiftRight_action_context"`

  See Also:
    Constant Field Values

### SHIFT_LEFT_ACTION

    public static final String SHIFT_LEFT_ACTION

  Help context id for the action. Value: `"org.eclipse.ui.ShiftLeft_action_context"`

  See Also:
    Constant Field Values

### FIND_ACTION

    public static final String FIND_ACTION

  Help context id for the action. Value: `"org.eclipse.ui.find_action_context"`

### FIND_NEXT_ACTION

    public static final String FIND_NEXT_ACTION

  Help context id for the action. Value: `"org.eclipse.ui.FindNext_action_context"`

  Since:
    2.0
  See Also:
    Constant Field Values

### FIND_PREVIOUS_ACTION

    public static final String FIND_PREVIOUS_ACTION

  Help context id for the action. Value: `"org.eclipse.ui.FindPrevious_action_context"`

  Since:
    2.0
  See Also:
    Constant Field Values

### FIND_INCREMENTAL_ACTION

    public static final String FIND_INCREMENTAL_ACTION

  Help context id for the action. Value: `"org.eclipse.ui.FindIncremental_action_context"`

  Since:
    2.0
  See Also:
    Constant Field Values

### FIND_INCREMENTAL_REVERSE_ACTION

    public static final String FIND_INCREMENTAL_REVERSE_ACTION

  Help context id for the action. Value: `"org.eclipse.ui.FindIncrementalReverse_action_context"`

  Since:
    2.1
  See Also:
    Constant Field Values

### BOOKMARK_ACTION

    public static final String BOOKMARK_ACTION

  Deprecated. in 3.0 Use `org.eclipse.ui.texteditor.ITextEditorHelpContextIds.BOOKMARK_ACTION` instead.

  Help context id for the action. Value: `"org.eclipse.ui.bookmark_action_context"`

  See Also:
    Constant Field Values

### ADD_TASK_ACTION

    public static final String ADD_TASK_ACTION

  Deprecated. in 3.0 Use `org.eclipse.ui.texteditor.ITextEditorHelpContextIds.ADD_TASK_ACTION` instead.

  Help context id for the action. Value: `"org.eclipse.ui.addTask_action_context"`

  See Also:
    Constant Field Values

### SAVE_ACTION

    public static final String SAVE_ACTION

  Help context id for the action. Value: `"org.eclipse.ui.save_action_context"`

### REVERT_TO_SAVED_ACTION

    public static final String REVERT_TO_SAVED_ACTION

  Help context id for the action. Value: `"org.eclipse.ui.revert_action_context"`

### GOTO_LINE_ACTION

    public static final String GOTO_LINE_ACTION

  Help context id for the action. Value: `"org.eclipse.ui.GotoLine_action_context"`

  See Also:
    Constant Field Values

### PRINT_ACTION

    public static final String PRINT_ACTION

  Help context id for the action. Value: `"org.eclipse.ui.print_action_context"`

### CONVERT_LINE_DELIMITERS_TO_WINDOWS

    public static final String CONVERT_LINE_DELIMITERS_TO_WINDOWS

  Help context id for the action. Value: `"org.eclipse.ui.ConvertLineDelimitersToWindows_action_context"`

  Since:
    2.0
  See Also:
    Constant Field Values

### CONVERT_LINE_DELIMITERS_TO_UNIX

    public static final String CONVERT_LINE_DELIMITERS_TO_UNIX

  Help context id for the action. Value: `"org.eclipse.ui.ConvertLineDelimitersToUNIX_action_context"`

  Since:
    2.0
  See Also:
    Constant Field Values

### CONVERT_LINE_DELIMITERS_TO_MAC

    public static final String CONVERT_LINE_DELIMITERS_TO_MAC

  Help context id for the action. Value: `"org.eclipse.ui.ConvertLineDelimitersToMAC_action_context"`

  Since:
    2.0
  See Also:
    Constant Field Values

### FIND_REPLACE_DIALOG

    public static final String FIND_REPLACE_DIALOG

  Help context id for the action. Value: `"org.eclipse.ui.find_replace_dialog_context"`

  See Also:
    Constant Field Values

### GOTO_LAST_EDIT_POSITION_ACTION

    public static final String GOTO_LAST_EDIT_POSITION_ACTION

  Help context id for the action. Value: `"org.eclipse.ui.goto_last_edit_position_action_context"`

  Since:
    2.1
  See Also:
    Constant Field Values

### MOVE_LINES_ACTION

    public static final String MOVE_LINES_ACTION

  Help context id for the action. Value: `"org.eclipse.ui.move_lines_action_context"`

  Since:
    3.0
  See Also:
    Constant Field Values

### COPY_LINES_ACTION

    public static final String COPY_LINES_ACTION

  Help context id for the action. Value: `"org.eclipse.ui.copy_lines_action_context"`

  Since:
    3.0
  See Also:
    Constant Field Values

### UPPER_CASE_ACTION

    public static final String UPPER_CASE_ACTION

  Help context id for the action. Value: `"org.eclipse.ui.upper_case_action_context"`

  Since:
    3.0
  See Also:
    Constant Field Values

### LOWER_CASE_ACTION

    public static final String LOWER_CASE_ACTION

  Help context id for the action. Value: `"org.eclipse.ui.lower_case_action_context"`

  Since:
    3.0
  See Also:
    Constant Field Values

### SMART_ENTER_ACTION

    public static final String SMART_ENTER_ACTION

  Help context id for the action. Value: `"org.eclipse.ui.smart_enter_action_context"`

  Since:
    3.0
  See Also:
    Constant Field Values

### TOGGLE_INSERT_MODE_ACTION

    public static final String TOGGLE_INSERT_MODE_ACTION

  Help context id for the smart insert mode toggle action. Value: `"org.eclipse.ui.toggle_insert_mode_action_context"`

  Since:
    3.0
  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.